%global momorel 3
%global emacsver 23.0.95
%global xemacsver 21.5.29
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages
%global snapshotdate 200903181110

Summary: API library for accessing to mixi
Name: elisp-mixi
Version: 2.2.1
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
#Source0: http://www.koka-in.org/~bg66/mixi-el-%{version}.tar.gz
Source0: ftp://ftp.jpl.org/pub/m17n/mixi-%{snapshotdate}.tar.gz
Patch0: mixi-el-2.1.0-emu.patch
Patch2: mixi-el-1.177-not-just-print.patch
Patch3: COMPILE.in-xemacs.patch
Patch4: mixi-el-2.2.0-xemacs-sumo-dired.patch
URL: http://mixi.jp/view_community.pl?id=1596390
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildRequires: w3m-emacs, w3m-xemacs
BuildRequires: wl-emacs, wl-xemacs
BuildRequires: riece-emacs, riece-xemacs
BuildRequires: automake, autoconf
PreReq: info

%description
This elisp provides API libraries for accessing to mixi.

%package -n mixi-emacs
Summary: API library for accessing to mixi
Group: Applications/Editors
Requires: emacs >= %{emacsver}
Requires: w3m-emacs

%description -n mixi-emacs
This elisp provides API libraries for accessing to mixi.

%package -n mixi-xemacs
Summary: API library for accessing to mixi
Group: Applications/Editors
Requires: xemacs >= %{xemacsver}
Requires: w3m-xemacs

%description -n mixi-xemacs
This elisp provides API libraries for accessing to mixi.

%prep
#%%setup -q -n mixi-el-%{version}
%setup -q -n mixi-%{snapshotdate}
%patch0 -p1 -b .emu~
%patch2 -p0 -b .not-just-print~
%patch3 -p0 -b .xemacs~
%patch4 -p1 -b .xemacs-sumo-dired~

%build
autoreconf -fi

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# emacs
%configure --with-emacs=%{_bindir}/emacs \
	   --with-lispdir=%{e_sitedir} \
	   --with-shimbun=yes \
	   --with-gnus=yes \
	   --with-wl=yes \
	   --with-riece=yes \
	   --infodir=%{_infodir}

%__make EMACS=%{_bindir}/emacs

%__make EMACS=%{_bindir}/emacs \
	prefix=%{buildroot}%{_prefix} \
	datadir=%{buildroot}%{_datadir} \
	lispdir=%{buildroot}%{e_sitedir} \
	infodir=%{buildroot}%{_infodir} \
	install

%__rm -f %{buildroot}%{_infodir}/dir

%__make distclean

# xemacs
%configure --with-xemacs=%{_bindir}/xemacs \
	   --with-packagedir=%{sitepdir} \
	   --with-shimbun=yes \
	   --with-gnus=no \
	   --with-wl=yes \
	   --with-riece=yes

%__make XEMACS=%{_bindir}/xemacs \
	prefix=%{buildroot}%{_prefix} \
	datadir=%{buildroot}%{_datadir} \
	PACKAGEDIR=%{buildroot}%{sitepdir} \
	install-package

%__rm -f %{buildroot}%{sitepdir}/info/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -n mixi-emacs
/sbin/install-info %{_infodir}/mixi-ja.info %{_infodir}/dir

%preun -n mixi-emacs
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/mixi-ja.info %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL* NEWS README
%doc contrib

%files -n mixi-emacs
%defattr(-, root, root)
%{e_sitedir}/mixi
%{_infodir}/mixi-ja.info*

%files -n mixi-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/mixi
%{sitepdir}/info/mixi-ja.info*

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-3m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-2m)
- rebuild against emacs-23.0.94

* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-5m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-4m)
- rebuild against emacs-23.0.93

* Fri Apr  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-3m)
- add workaroud for xemacs-sumo's dired faulty

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-2m)
- rebuild against emacs-23.0.92

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-3m)
- rebuild against rpm-4.6

* Tue Jan  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-2m)
- update to cvs snapshot (2008-12-26)
-- update Patch0 for fuzz=0
- License: GPLv2+

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Sun Oct 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Sep 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-2m)
- update to cvs snapshot

* Sun Sep  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-1m)
- update to 1.5.0

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.2-3m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.2-2m)
- rebuild against xemacs-21.5.28
- add Patch3: COMPILE.in-xemacs.patch

* Thu Jul 10 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.0-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.0-2m)
- rebuild against gcc43

* Mon Feb 18 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Thu Jan 31 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.0-1m)
- update to 1.3.0

* Mon Jan 28 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sun Jan  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Fri Dec 28 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-1m)
- update to mixi-el 1.1.0
- drop Patch1: mixi-el-1.177-fix-install-info.patch, applied upstream

* Sun Nov 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.177-2m)
- delete info/dir files

* Thu Nov 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.177-1m)
- update to revision 1.177 (follow the change of mixi)
- License: GPLv2

* Sun Oct 28 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.174-1m)
- update to revision 1.174 (install info)
- ... dirty hack

* Mon Oct  1 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.168-1m)
- update to revision 1.168 (follow the change of mixi)

* Tue Sep 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.160-1m)
- update to revision 1.160

* Mon Jul 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.157-1m)
- update to revision 1.157

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.153-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.153-1m)
- update to revision 0.1.153

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.150-2m)
- rebuild against emacs-22.1

* Sat Mar 31 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.150-1m)
- update to revision 0.1.150
- use autoreconf and configure

* Sat Mar 24 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.1.147-3m)
- add BuildPreReq

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.147-2m)
- rebuild against emacs-22.0.96

* Wed Mar 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.147-1m)
- update to revision 0.1.147

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.140-3m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.140-2m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.140-1m)
- update to revision 0.1.140

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.77-4m)
- rebuild against emacs-22.0.93

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.1.77-3m)
- add BuildPreReq: emacs, xemacs, w3m-emacs, w3m-xemacs

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.77-2m)
- rebuild against emacs-22.0.92

* Mon Dec 18 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.77-1m)
- update to revision 0.1.77

* Sun Nov 26 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.54-1m)
- update to revision 0.1.54

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.48-4m)
- rebuild against emacs-22.0.91

* Tue Nov 21 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.48-3m)
- update sb-mixi.el

* Wed Nov 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.48-2m) 
- add Patch0: elisp-mixi-sb-mixi.patch

* Wed Nov 15 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.48-1m) 
- first packaging
